In case someone else might find this useful, here are my notes from PuppetConf 2014 (including the Monday contributor’s summit.) Contributor Summit (Modules Track) https://github.com/puppet-community Puppet modules antipatterns Don’t ensure => latest on packages (installed or present) Do parameter validation (use stdlib) Don’t require an yum/apt repo Ensure idempotency Deprecation warnings strict_variables = true in

Read full post.